Bug 204261 - kadmind only allows password changes in one realm
kadmind only allows password changes in one realm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 17:40 EDT by Neal Groothuis
Modified: 2008-05-06 12:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:16:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Groothuis 2006-08-27 17:40:49 EDT
Description of problem:

For Kerberos databases containing more than one realm, kpasswd fails to change
passwords for any realm other than the one that kadmind was started with.  I.e.,
if your KDC contains principals from realms EXAMPLE1.COM and EXAMPLE2.COM, and
kadmind is started with "-r EXAMPLE1.COM", kpasswd will only work for principals
in that realm.  

This is a hairy problem, because the obvious workaround (running another
instance of kadmind) doesn't work because you can't specify an alternative
kpasswd port to kadmind (only an alternative kadmin port).  This means that
users from all realms in the KDC but one must rely on the system administrator
to change their password for them!


Version-Release number of selected component (if applicable): krb5-server 1.4.3-5.1


How reproducible:
Consistently.

Steps to Reproduce:
1.  Create a Kerberos database for two realms:

kdb5_util -r EXAMPLE1.COM create -s
kdb5_util -r EXAMPLE2.COM -d EXAMPLE2.COM create -s (set the master keys to the
same value)
kdb5_util -r EXAMPLE2.COM -d EXAMPLE2.COM dump -new_mkey_file .k5.EXAMPLE1.COM >
EXAMPLE2.COM.dump
kbd5_util load -update EXAMPLE2.COM.dump
cp .k5.EXAMPLE1.COM .k5.EXAMPLE2.COM

2.  Add test principals in each realm
3.  Start kadmind (you can specify one realm explicitly, or let it choose the
default realm specified in /etc/krb5.conf)
4.  Try to change the passwords for each test principal using kpasswd. 

Actual results:
For realms other than the one kadmind was set up to serve, kpasswd returns:
Authentication error: Failed reading application request


Expected results:
Password should be changed.

Additional info:
Comment 1 Bug Zapper 2008-04-03 23:36:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:16:22 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.